import { Button } from "@mui/material";
import style from "./style.module.css";

interface Props {
  isSignIn: boolean;
  onOpenSignIn: () => void;
  className?: string;
}

export function HomeMenu(props: Props) {
  return (
    <div className={props.className}>
      <Button className={style.text}>定价</Button>
      {props.isSignIn ? (
        <Button className={style.text}>文件列表</Button>
      ) : (
        <Button className={style.text} onClick={props.onOpenSignIn}>
          注册 / 登录
        </Button>
      )}
    </div>
  );
}
